Article ID: 1791, created on May 7, 2009, last review on Apr 28, 2014

  • Applies to:
  • Plesk for Linux/Unix

Symptômes

Si vous exécutez l'outil de mise à jour à partir du CP de Parallels Plesk Panel, il retourne l'erreur suivante :

 

     Warning: Error: Can't create directory //psa/.

Cependant, il fonctionne bien à partir de la ligne de commande.

Cause

Lorsque vous exécutez l'outil de mise à jour à partir du CP de Parallels Plesk Panel, il obtient les privilèges 'root' au moyen de l'utilitaire 'wrapper' qui a le bit 'SUID' défini. Si l'outil de mise à jour reçoit l'erreur de droit, c'est qu'il n'était pas capable d'obtenir les privilèges 'root' en raison de l'absence du bit 'SUID'.

Résolution

Assurez-vous que le binaire $PRODUCT_ROOT_D/admin/sbin/wrapper a les droits appropriés comme ceux listés ci-dessous :

# ls -la /usr/local/psa/admin/sbin/wrapper ---s--x---  1 root psaadm 13632 Jun 13  2006 /usr/local/psa/admin/sbin/wrapper
  Si non, vous devez le corriger avec la commande :
# chmod 4110 /usr/local/psa/admin/sbin/wrapper


De plus, assurez-vous que /usr/local/psa/admin/bin/autoinstaller est un lien symbolique pour /usr/local/psa/admin/sbin/wrapper :

# ls -la /usr/local/psa/admin/bin/autoinstaller
lrwxr-xr-x  1 root  psaadm  15 Jul 16 14:59 /usr/local/psa/admin/bin/autoinstaller -> ../sbin/wrapper


29d1e90fd304f01e6420fbe60f66f838 a914db3fdc7a53ddcfd1b2db8f5a1b9c 56797cefb1efc9130f7c48a7d1db0f0c

Email subscription for changes to this article
Save as PDF